unit uDemoMain;

interface

uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms,
  QDialogs, QStdCtrls, uAntiAliasLabel, uAntiAliasControl, QExtCtrls,
  Qt;

Type

  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Button2: TButton;
    SaveDialog1: TSaveDialog;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.xfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  with TAALabel.create(self) do
  begin
    Parent := self;
    Caption := 'This is an anti-aliased label';
    AutoSize := true;
    Left := 20;
    Top := 310;
    Color := clyellow;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var bmp: TAABitmap;
begin
  bmp := TAABitmap.create;
  with bmp do
  begin
    Assign(Image1.Picture.Bitmap);
    Canvas.Font.Color := clwhite;
    Canvas.Font.Size := 18;
    Canvas.TextRect(Rect(0,0,Bmp.Width,Bmp.Height),0,0,
       'This is Lake Lucerne (Switzerland)',
       Ord(AlignmentFlags_AlignCenter));
  end;
  Image1.Picture.Bitmap.Assign(bmp);
  bmp.free;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  SaveDialog1.FileName := '~/AABitmapTest.bmp';
  if SaveDialog1.Execute then Image1.Picture.SaveToFile(SaveDialog1.FileName);
end;


end.
